import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { ListingConfigVersion } from './ListingConfigVersion';
export declare type Bid = {
    version: ListingConfigVersion;
    amount: beet.bignum;
    buyerTradeState: web3.PublicKey;
};
export declare const bidBeet: beet.BeetArgsStruct<Bid>;
